Bug 91275 - Default sanity limit (1000 sec.), and specified sanity limit set by tinker panic command in the ntp.conf file do not work
Default sanity limit (1000 sec.), and specified sanity limit set by tinker pa...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: ntp (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-20 14:38 EDT by Jim Chen
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-08 08:02:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Chen 2003-05-20 14:38:10 EDT
Description of problem:


Version-Release number of selected component (if applicable):Advanced Server 2.1


How reproducible: 100% reproducible


Steps to Reproduce:
1.change the local system clock using date command so that the diference between
  the NTP server time and the local clock time is greater than the default    
  sanity limit or greater than the setting by tinker panic command in the
  ntp.conf file 
2.use ntpq -p command to display the result
3.
    
Actual results: the local clock time is adjusred anyway ignoring the sanity 
limit


Expected results: NTP daemon should exit when the difference between the NTP
server time and local clock time is greater than the sanity limit


Additional info:
Comment 1 Harald Hoyer 2003-05-30 08:42:17 EDT
which version of ntp?
$ rpm -q ntp
Comment 2 Jim Chen 2003-05-30 13:33:50 EDT
ntp-4.1.0b-2
Comment 3 Bob Schmertz 2003-06-26 02:07:34 EDT
ntp-4.1.1, as shipped with Red Hat 7.3, appears not to have this problem.
Comment 4 Harald Hoyer 2003-10-08 08:02:49 EDT
there should be an erratum/update available for ntp

Note You need to log in before you can comment on or make changes to this bug.